import type { PackageMetadata } from "./types";
export declare function getPackageMeta(): PackageMetadata;
export declare function resolvePackagePath(pathname: string): string;
export declare function parseCliArgs(argv: string[]): {
    source: string;
    format: any;
    file: any;
    watch: any;
    minify: any;
    sourcemap: boolean;
    cwd: any;
    help: any;
    version: any;
    target: any;
    external: any;
};
export declare const logger: {
    log(...args: any[]): void;
    warn(...args: any[]): void;
    error(...args: any[]): void;
};
